image: gradle:latest

stages:
  - build
  - test
  - deploy

build:
  stage: build
  script:
    - gradle assemble

test:
  stage: test
  script:
    - gradle test

deploy_test:
  stage: deploy
  script:
    - echo "This is the approach I think I would use"
#    - ssh into cloud server
#    - pull docker image from a docker repository
#    - run "sudo docker run -p 8080:8080 imageName"  or deploy an rmp to the server and run the application using a docker-compose file to pull the image"

